.
authorJim Meyering <jim@meyering.net>
Thu, 24 Aug 2000 08:40:47 +0000 (08:40 +0000)
committerJim Meyering <jim@meyering.net>
Thu, 24 Aug 2000 08:40:47 +0000 (08:40 +0000)
tests/dd/Makefile.in
tests/sample-test [new file with mode: 0644]

index ccfd68d..3d88451 100644 (file)
@@ -122,10 +122,10 @@ TESTS_ENVIRONMENT = \
   srcdir=$(srcdir) \
   PERL="@PERL@" \
   PATH=`pwd`/../../src:$$PATH \
-  PROG=ls
+  PROG=dd
 
 
-TESTS = misc
+TESTS = misc not-rewound
 subdir = tests/dd
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = ../../config.h
diff --git a/tests/sample-test b/tests/sample-test
new file mode 100644 (file)
index 0000000..c633c05
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+# FIXME
+
+if test "$VERBOSE" = yes; then
+  set -x
+  FIXME --version
+fi
+
+pwd=`pwd`
+tmp=FIXME.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo 'failure in testing framework'
+  exit 1
+fi
+
+fail=0
+
+
+(exit $fail); exit